Bug 1807534

Summary: pyzy requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: pyzyAssignee: Peng Wu <pwu>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: i18n-bugs, petersen, pwu
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-18 09:30:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin 2020-02-26 15:05:16 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like pyzy, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:10:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Petr Viktorin 2021-01-13 22:01:28 UTC
Do you have any update?

Comment 3 Peng Wu 2021-01-14 08:03:05 UTC
- What is the reason for the Python 2 build dependency?

The pyzy project use Python 2 to convert the data format.

- What are the upstream/community plans/timelines regarding Python 2?

The upstream is not active since Dec 2012.

URL: https://github.com/pyzy/pyzy

Comment 4 Petr Viktorin 2021-01-14 10:26:45 UTC
I see there is a pull request for Python 3 compatibility: https://github.com/pyzy/pyzy/pull/4
Can that be used?

Comment 5 Peng Wu 2021-01-15 08:08:21 UTC
Thanks, built for Fedora rawhide.

URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=59750254